View Issue Details

IDProjectCategoryLast Update
0019783AI War 2[All Projects] Crash/ExceptionMay 17, 2019 10:06 pm
ReporterOvalcircleAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.750 My Friend The Marauder 
Fixed in VersionBETA 0.861 Strength Of Remains 
Summary0019783: Lobby Minor faction color changes
DescriptionIf you have the devourer on top and the AI risk analyzers on the bottom, then if you get rid of the devourer, the AI Risk analyzers will inherit the Devourer's colors.

That was just an example. This works for every faction. The bottom faction inherits the top's colors if you change the top one to none.

Edit: I think I used the Dyson sphere in the screenshot.

Double Edit: Turns out you don't need to do this complicated procedure. Just choose a faction then change it to a different faction. The colors stay the same.
TagsNo tags attached.

Relationships

child of 0020151 assignedx4000Bughunter Completely redo lobby (parent). 

Activities

Ovalcircle

Jul 14, 2018 9:22 pm

reporter  

BadgerBadger

Jul 14, 2018 11:41 pm

manager   ~0047906

I can only hope this will go away once the Game Lobby is reworked

x4000Bughunter

May 17, 2019 10:06 pm

administrator   ~0051689

Thanks!

* Fixed a longstanding bug where if you had one faction selected and then changed the faction, the colors would not update properly for them in the lobby.
** This was not a problem limited to just the colors, and it probably was display-only in terms of problems, and it doesn't solve the issue with the human player colors, but this is still nice to have fixed.

Issue History

Date Modified Username Field Change
Jul 14, 2018 9:22 pm Ovalcircle New Issue
Jul 14, 2018 9:22 pm Ovalcircle File Added: AI War 2 Wrong Faction color.jpg
Jul 14, 2018 9:22 pm Ovalcircle Description Updated View Revisions
Jul 14, 2018 10:06 pm Ovalcircle Description Updated View Revisions
Jul 14, 2018 11:41 pm BadgerBadger Note Added: 0047906
Sep 5, 2018 8:13 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 5, 2018 8:13 pm x4000Bughunter Status new => assigned
Sep 5, 2018 8:13 pm x4000Bughunter Relationship added child of 0020151
May 17, 2019 10:06 pm x4000Bughunter Status assigned => resolved
May 17, 2019 10:06 pm x4000Bughunter Resolution open => fixed
May 17, 2019 10:06 pm x4000Bughunter Fixed in Version => BETA 0.861 Strength Of Remains
May 17, 2019 10:06 pm x4000Bughunter Note Added: 0051689